## pd-flite 0.02.3

=== debian/changelog ===
pd-flite (0.02.3-4) unstable; urgency=medium

  * Enabled hardening
  * Updated Vcs-* stanzas to salsa.d.o
  * Updated maintainer address
  * Simplified & unified d/rules
    * Bumped dh compat to 11
  * Updated d/copyright(_hints)
  * Dropped B-D on dh-autoreconf (no longer needed)
  * Removed trailing whitespace in debian/*
  * Updated homepage field to github
  * Use github in d/watch
  * Enabled licensecheck target
  * Bumped standards version to 4.1.3

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 01 Feb 2018 23:05:41 +0100

pd-flite (0.02.3-3) unstable; urgency=medium

  * Fixed helppatch-install-dir patch (Closes: #863658)
  * Refreshed patches (fuzz offset)

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 29 May 2017 22:58:45 +0200

pd-flite (0.02.3-2) unstable; urgency=medium

  * Fixed permissions of externals (Closes: #715909)
  * Patch for 64bit compatible array access (Closes: #792718)
  * Fixed reproducible build.
    Thanks to Chris Lamb <lamby@debian.org> (Closes: #834302)
  * d/control fixup
  * Added myself to uploaders
  * Use canonical https:// uris for Vcs-* stanzas
  * Bumped debhelper compat to 9
  * Bumped standars version to 3.9.8

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 10 Nov 2016 10:36:40 +0100

pd-flite (0.02.3-1) unstable; urgency=low

  * Initial release (Closes: #643838)

 -- Roman Haefeli <reduzent@gmail.com>  Tue, 08 Nov 2011 23:13:13 +0100
