=== debian/control ===
Source: pd-flite
Priority: optional
Section: sound
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Roman Haefeli <reduzent@gmail.com>,
 IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
Build-Depends:
 debhelper (>=11~),
 puredata-dev | puredata (<< 0.43),
 flite1-dev,
Standards-Version: 4.1.3
Homepage: https://github.com/pd-externals/flite/
Vcs-Git: https://salsa.debian.org/multimedia-team/pd/pd-flite.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/pd/pd-flite

Package: pd-flite
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 puredata-core | pd,
Description: Speech synthesis for Pd
 The flite external contains a single Pd class
 which provides a high-level text-to-speech interface for English based
 on the 'libflite' library by Alan W Black and Kevin A. Lenzo.
