=== debian/watch ===
# Run the "uscan" command to check for upstream updates and more.
version=3
opts="uversionmangle=s/-/./,dversionmangle=s/[~+](dfsg|repack)(\.[0-9]*)?$//" \
  https://github.com/pd-externals/flite/releases .*/v?(\d\S*)\.tar\.gz
