=== debian/control ===
--- 
+++ 
@@ -6,10 +6,11 @@
  Roman Haefeli <reduzent@gmail.com>,
  IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
 Build-Depends:
- debhelper (>=11~),
- puredata-dev | puredata (<< 0.43),
+ debhelper-compat (= 13),
+ dh-sequence-puredata,
  flite1-dev,
-Standards-Version: 4.1.3
+Standards-Version: 4.7.0
+Rules-Requires-Root: no
 Homepage: https://github.com/pd-externals/flite/
 Vcs-Git: https://salsa.debian.org/multimedia-team/pd/pd-flite.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/pd/pd-flite
@@ -17,9 +18,15 @@
 Package: pd-flite
 Architecture: any
 Depends:
+ ${misc:Depends},
+ ${puredata:Depends},
  ${shlibs:Depends},
- ${misc:Depends},
- puredata-core | pd,
+Recommends:
+ ${puredata:Recommends},
+Suggests:
+ ${puredata:Suggests},
+Provides:
+ ${puredata:Provides},
 Description: Speech synthesis for Pd
  The flite external contains a single Pd class
  which provides a high-level text-to-speech interface for English based
